fehlermeldung opsi-product-updater

klausvoelpel
Beiträge: 28
Registriert: 16 Dez 2009, 11:48

fehlermeldung opsi-product-updater

Beitragvon klausvoelpel » 20 Nov 2014, 14:40

Hallo
wir haben mehrere Opsi depot server laufen, bei allen bis auf einen kann ich die Opsi Produkte aktualisieren.

bei dem einen wo es nicht geht bekomme ich folgende Fehlermeldung:

Code: Alles auswählen

root@opsitst:/home/adminuser# opsi-product-updater -vv
Zsync command found: /usr/bin/zsync
Reading config file '/etc/opsi/opsi-product-updater.conf'
Getting installed products
Getting info for local packages in '/var/lib/opsi/repository'
Getting package infos from repository 'http://download.uib.de'
Traceback:
     line 1093 in '<module>' in file '/usr/bin/opsi-product-updater'
     line 1087 in 'main' in file '/usr/bin/opsi-product-updater'
     line 401 in 'processUpdates' in file '/usr/bin/opsi-product-updater'
     line 895 in 'getDownloadablePackages' in file '/usr/bin/opsi-product-updater'
     line 1007 in 'getDownloadablePackagesFromRepository' in file '/usr/bin/opsi-product-updater'
     ==>>> Failed to process url 'http://download.uib.de/abo/standard/opsi4': HTTP Error 401: basic auth failed
ERROR: Failed to process url 'http://download.uib.de/abo/standard/opsi4': HTTP Error 401: basic auth failed


weiss jemand einen Rat wo es dran liegen könnte?

viele Grüße
Klaus Völpel

Benutzeravatar
wolfbardo
uib-Team
Beiträge: 1138
Registriert: 01 Jul 2008, 12:10

Re: fehlermeldung opsi-product-updater

Beitragvon wolfbardo » 20 Nov 2014, 14:47

Hallo Herr Voelpel

falls das Standard-Abo benutzt wird, so bitte User und Passwort korrekt eintragen bzw. sich per Mail bei uns melden.

Falls das Abo nicht benutzt wird, so bitte den Eintrag

http://download.uib.de/abo/standard/opsi4

aus

der /etc/opsi/opsi-product-updater.conf

entfernen

Gruss
Bardo Wolf


opsi-Konferenz in Mainz am 02. / 03. März 2020

opsi workshops

https://uib.de/de/support-schulung/schulung/

Basis 4.-7.11.2019


opsi support by uib gmbh

http://www.uib.de

klausvoelpel
Beiträge: 28
Registriert: 16 Dez 2009, 11:48

Re: fehlermeldung opsi-product-updater

Beitragvon klausvoelpel » 20 Nov 2014, 16:09

Hallo Herr Wolf

hat geklappt!

Vielen Dank
Klaus Völpel